ZUNI2(3)

SYNOPSIS
SUBROUTINE ZUNI2 (ZR, ZI, FNU, KODE, N, YR, YI, NZ, NLAST, FNUL, + TOL, ELIM, ALIM)

NAME
zuni2 - Subsidiary to ZBESI and ZBESK

LIBRARY
SLATEC

TYPE
ALL (CUNI2-A, ZUNI2-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
ZUNI2 COMPUTES I(FNU,Z) IN THE RIGHT HALF PLANE BY MEANS OF UNIFORM ASYMPTOTIC EXPANSION FOR J(FNU,ZN) WHERE ZN IS Z*I OR -Z*I AND ZN IS IN THE RIGHT HALF PLANE ALSO. FNUL IS THE SMALLEST ORDER PERMITTED FOR THE ASYMPTOTIC EXPANSION. NLAST=0 MEANS ALL OF THE Y VALUES WERE SET. NLAST.NE.0 IS THE NUMBER LEFT TO BE COMPUTED BY ANOTHER FORMULA FOR ORDERS FNU TO FNU+NLAST-1 BECAUSE FNU+NLAST-1.LT.FNUL. Y(I)=CZERO FOR I=NLAST+1,N

SEE ALSO
ZBESI, ZBESK

ROUTINES CALLED
D1MACH, ZABS, ZAIRY, ZUCHK, ZUNHJ, ZUOIK

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)